Web lists-archives.com

[PATCH 0/4] dropping support for older curl




This is a resurrection of the thread from April:

  https://public-inbox.org/git/20170404025438.bgxz5sfmrawqswcj@xxxxxxxxxxxxxxxxxxxxx/

The general idea is that we should drop support for very old curl
versions, which already fail to compile. I'm sympathetic to the case
where people actually have systems with really old versions of curl. But
at the same time, I think we may be better off informing them that Git
isn't tested with these ancient versions at all (and I have a suspicion
that there are lurking bugs; see the commit messages or read that other
thread).

I've broken the changes into three patches. That helps a bit with
reviewing the diffs, but it also means we don't have to apply them all
at once (though I think we should; but it would likewise help if end up
wanting to revert one of them later).

The first cutoff is based on having more compilation breakages than the
other (and also just being incredibly old). The second is just a sweet
spot of bang-for-the-buck and age. In the absence of other data, it's
probably what I would suggest. The third one uses the existing compile
breakage from v2.12.0 as a guide.

  [1/4]: http: drop support for curl < 7.11.1
  [2/4]: http: drop support for curl < 7.16.0
  [3/4]: http: drop support for curl < 7.19.4
  [4/4]: http: #error on too-old curl

 Documentation/config.txt |   3 +-
 http-push.c              |  23 -------
 http-walker.c            |  12 ----
 http.c                   | 153 +----------------------------------------------
 http.h                   |  35 +----------
 remote-curl.c            |   7 ---
 6 files changed, 5 insertions(+), 228 deletions(-)

-Peff